# Method Image.XWD._decode()

Method _decode

  ```mapping`` _decode(`string` `data`)`
  ```mapping`` decode_header(`string` `data`)`

Description

  Decodes XWD data and returns the result.

  Supported XWD visual classes and encoding formats are TrueColor / ZPixmap DirectColor / ZPixmap PseudoColor / ZPixmap

  If someone sends me files of other formats, these formats may be implemented. `:)` /`mirar+pike@mirar.org`

Returns

  the decoded image as an image object

Note

  This function may throw errors upon illegal or unknown XWD data.

See also

  decode